Vagrant.configure("2")  do |config|

  config.vm.box_check_update = true

  config.vm.provision "shell", inline: 'ln -s /home/vagrant/.ssh-extra/id_rsa /home/vagrant/.ssh/id_rsa |true'

  config.vm.provider "virtualbox" do |vb, override|
    override.vm.box = "geerlingguy/ubuntu1604"

    vb.gui = false
    vb.memory = 4096
    vb.cpus = 2
    vb.customize ["modifyvm", :id, "--cpuexecutioncap", "95"]

    override.vm.network "private_network", ip: "192.168.222.11"
    override.vm.network "forwarded_port", guest: 8080, host: 8080

    override.vm.synced_folder ".", "/vagrant/",
      owner: "vagrant",
      group: "vagrant",
      mount_options: ["uid=900","gid=900","rw","dmode=0755","fmode=0775"]

    override.vm.synced_folder "~/.ssh", "/home/vagrant/.ssh-extra/",
      owner: "vagrant",
      group: "vagrant",
      mount_options: ["uid=900","gid=900","ro","dmode=0700","fmode=0600"]

  end

  config.vm.provision "ansible_local" do |ansible|
    ansible.playbook = "playbook.yml"
  end

end
